Timekit developers

GET Get current app

Get the app for the authenticated App API-Key

Endpoint

GET https://api.timekit.io/v2/app

Parameters

Name In Type Required Default Description
include query string Comma-separated related objects to include: users, resources, subscription, app_token (app owners only) and organization

Request examples

curl
curl --request GET \
  --url https://api.timekit.io/v2/app \
  --header 'Content-Type: application/json' \
  --user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7

Response examples

200

json
{
  "data": {
    "id": "9857f6bb-1e79-4a9f-aa59-7385d4e141e2",
    "slug": "back-to-the-future",
    "settings": {
      "name": "Back to the Future",
      "callback": "http:\/\/www.backtothefuture.com\/callback",
      "from_email": "robert.zemeckis@universalpictures.com",
      "from_name": "Robert Zemeckis",
      "contact_name": "Robert Zemeckis",
      "contact_email": "robert.zemeckis@universalpictures.com"
    },
    "created_at": "1985-12-04T12:00:00-0800",
    "updated_at": "2017-11-15T05:40:38-0800",
    "creator_resource_id": "d856b5cf-b06f-46c4-b310-c33612e67768",
    "role": "app_token",
    "test_mode": false,
    "api_trial_expires_at": false,
    "webhook_secret": "pD9mXkq2Zr7TfLw4Hc8NbVy1Se6UaJo3Gi5QdKx0Mn2Ry7WtEu4Lz9Hb1Vc8Fs3A"
  }
}

role is your role in the app. When you authenticate with an App API Key it is app_token.

api_trial_expires_at is the end of the API trial for apps in test mode, or false when there is none. live_app_id is included when a test app has been activated. webhook_secret (the secret used to sign webhooks) is only included for app owners and App API Keys.

Last edited 6 October 2026.